//---------------------------------------------------------------------------
#ifndef GOH
#define GOH
//---------------------------------------------------------------------------
#define N 10
//---------------------------------------------------------------------------

extern int Dx[4], Dy[4];

extern bool GameWon;

extern int WinningX, WinningY, WinningDx, WinningDy;

extern int TotalLines; // number of empty lines left

typedef enum {EMPTY = -1, CROSS = 0, NOUGHT = 1} BoardType;

extern BoardType Board[N][N]; // the board
extern int Player; // CROSS or NOUGHT

extern void ResetGame();
// Blinks winning line
extern BlinkWinner();
// Performs the move for player and updates the global variables
// Board, Line, Value, Player, GameWon, TotalLines
extern void MakeMove(int x, int y);
// Finds a move for player, simply by picking
// the one woth the highest value
extern void FindMove(int& x, int& y);

//---------------------------------------------------------------------------
#endif
//---------------------------------------------------------------------------
